SDL_GetGDKTaskQueue(3)

NAME
SDL_GetGDKTaskQueue - Gets a reference to the global async task queue handle for GDK, initializing if needed.

SYNOPSIS
#include <SDL3/SDL_system.h>

bool SDL_GetGDKTaskQueue(XTaskQueueHandle *outTaskQueue);

DESCRIPTION
Once you are done with the task queue, you should call XTaskQueueCloseHandle to reduce the reference count to avoid a resource leak.

FUNCTION PARAMETERS

outTaskQueue
    a pointer to be filled in with task queue handle.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.